Bug 971160 - [abrt] mate-text-editor-1.5.0-1.fc18: g_slice_free1: Process /usr/bin/pluma was killed by signal 6 (SIGABRT)
Summary: [abrt] mate-text-editor-1.5.0-1.fc18: g_slice_free1: Process /usr/bin/pluma w...
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-text-editor (Show other bugs)
(Show other bugs)
Version: 18
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Mashal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1d38722d99c1d24ed6922bb56a2...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-05 20:33 UTC by Wouter
Modified: 2013-06-30 20:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-30 20:50:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.43 KB, text/plain)
2013-06-05 20:33 UTC, Wouter
no flags Details
File: cgroup (125 bytes, text/plain)
2013-06-05 20:33 UTC, Wouter
no flags Details
File: core_backtrace (6.54 KB, text/plain)
2013-06-05 20:33 UTC, Wouter
no flags Details
File: dso_list (9.71 KB, text/plain)
2013-06-05 20:33 UTC, Wouter
no flags Details
File: environ (1.50 KB, text/plain)
2013-06-05 20:33 UTC, Wouter
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-05 20:33 UTC, Wouter
no flags Details
File: maps (48.75 KB, text/plain)
2013-06-05 20:33 UTC, Wouter
no flags Details
File: open_fds (1.49 KB, text/plain)
2013-06-05 20:33 UTC, Wouter
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2013-06-05 20:33 UTC, Wouter
no flags Details

Description Wouter 2013-06-05 20:33:18 UTC
Version-Release number of selected component:
mate-text-editor-1.5.0-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        pluma
crash_function: g_slice_free1
executable:     /usr/bin/pluma
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jun  5 22:19:27 zon abrt[3840]: Saved core dump of pid 3680 (/usr/bin/pluma) to /var/tmp/abrt/ccpp-2013-06-05-22:19:27-3680 (61407232 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 g_slice_free1 at gslice.c:1111
 #7 gtk_file_system_model_finalize at gtkfilesystemmodel.c:1003
 #9 stop_loading_and_clear_list_model at gtkfilechooserdefault.c:6515
 #10 gtk_file_chooser_default_finalize at gtkfilechooserdefault.c:858
 #12 gtk_box_forall at gtkbox.c:1251
 #13 gtk_container_destroy at gtkcontainer.c:1073
 #18 gtk_object_dispose at gtkobject.c:421
 #20 gtk_box_forall at gtkbox.c:1251
 #21 gtk_container_destroy at gtkcontainer.c:1073
 #26 gtk_object_dispose at gtkobject.c:421

Comment 1 Wouter 2013-06-05 20:33:22 UTC
Created attachment 757359 [details]
File: backtrace

Comment 2 Wouter 2013-06-05 20:33:24 UTC
Created attachment 757360 [details]
File: cgroup

Comment 3 Wouter 2013-06-05 20:33:28 UTC
Created attachment 757361 [details]
File: core_backtrace

Comment 4 Wouter 2013-06-05 20:33:30 UTC
Created attachment 757362 [details]
File: dso_list

Comment 5 Wouter 2013-06-05 20:33:35 UTC
Created attachment 757363 [details]
File: environ

Comment 6 Wouter 2013-06-05 20:33:38 UTC
Created attachment 757364 [details]
File: limits

Comment 7 Wouter 2013-06-05 20:33:41 UTC
Created attachment 757365 [details]
File: maps

Comment 8 Wouter 2013-06-05 20:33:44 UTC
Created attachment 757366 [details]
File: open_fds

Comment 9 Wouter 2013-06-05 20:33:46 UTC
Created attachment 757367 [details]
File: proc_pid_status

Comment 10 Wolfgang Ulbrich 2013-06-29 12:53:18 UTC
Can you describe a little more detailed what's happend?
Does this error ocours frequently?

Comment 11 Wolfgang Ulbrich 2013-06-29 13:01:42 UTC
by the way, i can start pluma witout any issue in xfce session.

Comment 12 Wouter 2013-06-30 20:10:21 UTC
(In reply to Wolfgang Ulbrich from comment #10)
> Can you describe a little more detailed what's happend?
> Does this error ocours frequently?

I'm sorry, but I can't remember what happened right before the bug came up. In MATÉ it only happened once, as far as I can remember. In XFCE it never occurred at all, neither in GNOME 3.6.

Comment 13 Wolfgang Ulbrich 2013-06-30 20:50:21 UTC
Thanks for your quick response,
Mate-1.5.x was an development version (not my decison to use it for f18), we have done a lot of improvements for stable MATE-1.6.x.
Your answer implies that the issue doesn't exits anymore with an updated MATE and pluma.
I will close this report, but if this issue happens again feel free to post it here, i will re-open this report immediately.


Note You need to log in before you can comment on or make changes to this bug.